Skip to main content

Create Applicant: Buildium

POSThttps://api.propexo.com/v1/applicants/buildium/
InterfaceMethod
ApplicantsPOST /applicants
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstring

    The Propexo unique identifier for the unit

    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    send_rental_application_emailboolean

    Whether to send the new applicant an email with a link to the online application form

    Default value: false
    email_1string<email>

    The primary email address associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    send_rental_application_emailboolean

    Whether to send the new applicant an email with a link to the online application form

    Default value: false
    email_1(string | null)<email>nullablerequired

    The primary email address associated with the applicant

    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    custom_data object | nullrequireddeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/buildium/
curl -X POST https://api.propexo.com/v1/applicants/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"send_rental_application_email": false,
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}